PULSAR

Get Metrics (/widget/metrics)

Get metrics grouped, sorted and filtered, presented to be consumed by a widget

Authorization

bearerAuth user, superuser, admin, superadmin, readonly
Authorization<token>

In: header

Scope: user, superuser, admin, superadmin, readonly

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
POST
/widget/metrics

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/widget/metrics" \  -H "Content-Type: application/json" \  -d '{    "filter_by": {      "date_range": {        "to": "string",        "from": "string"      }    },    "metrics": [      "total_time"    ]  }'
{  "series": [    {      "name": "string",      "key": "string",      "label": "string",      "axis": "string",      "points": [        {          "x": 0.1,          "y": 0.1        }      ]    }  ]}